'use strict';

const gulp = require('gulp');
const uglify = require('gulp-uglify');
const rename = require('gulp-rename');
const sourcemaps = require('gulp-sourcemaps');
const babel = require('gulp-babel');

// JS
gulp.task('js', function () {
  return gulp
    .src(['assets/admin/js/*.js'])
    .pipe(
      babel({
        presets: ['@babel/env'],
      }),
    )
    .pipe(uglify())
    .pipe(rename({suffix: '.min'}))
    .pipe(gulp.dest('./dist/admin/js'));
});

gulp.task('watch:js', function () {
  gulp.watch(['assets/admin/js/*.js'], gulp.series('js'));
});

gulp.task('watch', gulp.parallel('js', 'watch:js'));
gulp.task('build', gulp.parallel('js'));
