/**
 * jQuery Repeater 1.0.0 by Jeroen Sormani
 *
 * https://github.com/JeroenSormani/jquery.repeater.js
 */
(function($) {
  $.fn.repeater = function(options) {
    var defaults = {
      addTrigger: '.repeater-add',
      removeTrigger: '.repeater-remove',
      template: '.repeater-template',
      elementWrap: '.repeater-row', // Used to identify what is one element within the container.
      elementsContainer: '.repeater-container', // Used to identify what is one element within the container.
      removeElement: function(el) {
        el.slideUp('fast', function() {
          $(this).remove();
        });
      },
      onAddElement: function() {},
    };

    return $(this)
      .filter(':not(.repeater-active)')
      .each(function(i, e) {
        $(this).addClass('repeater-active');

        var $self;
        var $container;

        options = $.extend({}, $.fn.repeater.defaults, options);

        var init = function() {
          $container = $self.find(options.elementsContainer);

          $self.on('click', options.addTrigger, function() {
            addElement();
          });
          $self.on('click', options.removeTrigger, function() {
            options.removeElement(
              $(this)
                .parents(options.elementWrap)
                .first(),
            );
          });
        };

        var getNewElement = function() {
          return $self
            .find(options.template)
            .first()
            .clone();
        };

        var addElement = function() {
          var element = getNewElement();

          $container.append(element);
          options.onAddElement(element, $container, $self);
        };

        $self = $(this);
        init();
      });
  };
})(jQuery);
