<?php
/**
 * Plugin Name: 	Pinecast WordPress Sync
 * Plugin URI:      https://help.pinecast.com/articles/3072843-pinecast-wordpress-sync-plugin
 * Description:     Sync your Pinecast podcast episodes from Pinecast to WordPress
 * Version: 		1.2.1
 * Author:          Pinecast
 * Author URI:      https://pinecast.com
 * Text Domain: 	pinecast
 */


/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


if ( ! function_exists( 'add_filter' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}

define( 'PINECAST_FILE', __FILE__ );

/**
 * Display PHP 7.0 required notice.
 *
 * Display a notice when the required PHP version is not met.
 *
 * @since 1.0.0
 */
function pinecast_php_version_notices() {
	?><div class='updated'>
		<p><?php echo sprintf( __( 'Pinecast requires PHP 7 or higher and your current PHP version is %s. Please (contact your host to) update your PHP version.', 'reviewer' ), PHP_VERSION ); ?></p>
	</div><?php
}

if ( version_compare( PHP_VERSION, '7', 'lt' ) ) {
	add_action( 'admin_notices', 'pinecast_php_version_notices' );
	return;
}

// include the Composer autoload file
require plugin_dir_path( __FILE__ ) . '/vendor/autoload.php';

require_once 'pinecast.php';
